#ifndef __HTTPD_FS_H__
#define __HTTPD_FS_H__

#include <stdint.h>

#define HTTPD_FS_STATISTICS 1

struct httpd_fs_file {
  char *data;
  int len;
};

/* file must be allocated by caller and will be filled in
   by the function. */
int httpd_fs_open(const char *name, struct httpd_fs_file *file);

#ifdef HTTPD_FS_STATISTICS
#if HTTPD_FS_STATISTICS == 1
uint16_t httpd_fs_count(char *name);
#endif /* HTTPD_FS_STATISTICS */
#endif /* HTTPD_FS_STATISTICS */

void httpd_fs_init(void);

#endif /* __HTTPD_FS_H__ */
